Bug 1305811 - CVE-2016-1522 graphite2: Null pointer dereference and out-of-bounds access vulnerabilities [fedora-all]
Summary: CVE-2016-1522 graphite2: Null pointer dereference and out-of-bounds access vu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: graphite2
Version: 23
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Nicholas van Oudtshoorn
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2016-1522
TreeView+ depends on / blocked
 
Reported: 2016-02-09 10:06 UTC by Adam Mariš
Modified: 2016-05-10 17:55 UTC (History)
1 user (show)

Fixed In Version: graphite2-1.3.5-1.fc23 graphite2-1.3.6-1.fc22
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-10 17:55:03 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-02-09 10:06:10 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Adam Mariš 2016-02-09 10:06:14 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1305810,1305811

# Description of your update
notes=Security fix for CVE-2016-1522

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2016-02-17 12:23:28 UTC
graphite2-1.3.5-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a25ee90150

Comment 3 Fedora Update System 2016-02-17 12:23:30 UTC
graphite2-1.3.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4154a4d0ba

Comment 4 Fedora Update System 2016-02-17 22:22:33 UTC
graphite2-1.3.5-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a25ee90150

Comment 5 Fedora Update System 2016-02-17 22:31:20 UTC
graphite2-1.3.5-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4154a4d0ba

Comment 6 Fedora Update System 2016-02-21 12:56:47 UTC
graphite2-1.3.5-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-02-21 16:17:58 UTC
graphite2-1.3.5-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-02-21 16:24:09 UTC
graphite2-1.3.5-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-02-29 14:19:53 UTC
graphite2-1.3.6-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-338a7e9925

Comment 10 Fedora Update System 2016-02-29 23:50:27 UTC
graphite2-1.3.6-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-338a7e9925

Comment 11 Fedora Update System 2016-05-10 17:54:36 UTC
graphite2-1.3.6-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.